## org.apache.mahout.common
Class IOUtils.DeleteFileOnClose

    java.lang.Object
      org.apache.mahout.common.IOUtils.DeleteFileOnClose

All Implemented Interfaces:
  Closeable

Enclosing class:
  IOUtils

    public static class IOUtils.DeleteFileOnClose

extends Object
implements Closeable

for temporary files, a file may be considered as a `Closeable` too, where file is wiped on close and thus the disk resource is released ('closed').

Constructor Summary
`IOUtils.DeleteFileOnClose(File file)`

Method Summary
`void` `close()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IOUtils.DeleteFileOnClose

    public IOUtils.DeleteFileOnClose(File file)

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.